Subject: Re: [PATCH v3 0/2] rtc: add new Amlogic Virtual Wake RTC

From: Kevin Hilman <[email-masked]>
Date: Thu, 22 Aug 2019 13:52:20 -0700

Kevin Hilman <[email-masked]> writes:

> From: Kevin Hilman <[email-masked]>
>
> Add a new driver for the virtual wake RTC on Amlogic SoCs.
>
> The RTC is virtual from the Linux side because it's a hardware timer
> managed by firmware on the secure co-processor (SCP.)  The interface
> is 1 register where a wakeup time (in seconds) is written.  The SCP then
> uses this value to program an always-on timer.

Just FYI... this was originally tested on G12A and G12B SoCs, but has
now also been tested to work unmodified on the new SM1 SoC as well.

Kevin

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel